; -------------------------------------------------------------------------------------------------
; 11. Oktober 2010 / MAB
; FPIO-Node Konstanten-Definitionen
; Export der verwendeten Register aus TG12_195.EVS
; -------------------------------------------------------------------------------------------------
;
; Version:	V1.00  	04.10.2010 / SN
; Update: 	V1.01  	11.10.2010 / MAB
; Update: 	V1.02  	14.12.2010 / MAB , fehlende Register nachgefhrt


; -------------------------------------------------------------------------------------------------
;Dataserver Node Addresses

CONST  	NODE_FPIO_01  	= 0x8801	; Node Address

CONST  	NODE_FPIO_02  	= 0x8802
CONST  	NODE_FPIO_03  	= 0x8803
CONST  	NODE_FPIO_04  	= 0x8804
CONST  	NODE_FPIO_05  	= 0x8805
CONST  	NODE_FPIO_06  	= 0x8806
CONST  	NODE_FPIO_07  	= 0x8807
CONST  	NODE_FPIO_08  	= 0x8808
CONST  	NODE_FPIO_09  	= 0x8809
CONST  	NODE_FPIO_10  	= 0x880A
CONST  	NODE_FPIO_11  	= 0x880B
CONST  	NODE_FPIO_12  	= 0x880C
CONST  	NODE_FPIO_13  	= 0x880D
CONST  	NODE_FPIO_14  	= 0x880E
CONST  	NODE_FPIO_15  	= 0x880F

; -------------------------------------------------------------------------------------------------
;Dataserver Registers
; Definitionen der Bus-Register Adressen

CONST  	FPIO_FIRSTREG 		= 20		; Testregister fr Loopback (nur lesen!)
       	              		    		;   falls Schreib-Test gewnscht: 
       	              		    		;    - FPIO_Version oder FPIO_Hardware berschreiben
       	              		    		;    Achtung: Beide Register werden nach ca. 1 Sekunde
       	              		    		;             automatisch vom System korrigiert.

;___Analog-Eingnge (NTC, Poti, etc.)____________

CONST  	FPIO_AN0_Value		= 53		; A/D Value AN0
CONST  	FPIO_AN1_Value		= 54		; A/D Value AN1
CONST  	FPIO_AN2_Value		= 55		; A/D Value AN2
CONST  	FPIO_AN3_Value		= 56		; A/D Value AN3

;___Niederspannungs-Eingnge (230VAC)____________

CONST  	FPIO_DIN1_State		= 25		; DIN1 gefiltert (ob Strom oder nicht)
CONST  	FPIO_DIN2_State		= 26		; DIN2 gefiltert (ob Strom oder nicht)
CONST  	FPIO_DIN3_State		= 27		; DIN3 gefiltert (ob Strom oder nicht)
CONST  	FPIO_DIN4_State		= 28		; DIN4 gefiltert (ob Strom oder nicht)

CONST  	FPIO_DIN1_Freq		= 33		; DIN1 Frequenz (Auflsung in 1 Hz)
CONST  	FPIO_DIN2_Freq		= 34		; DIN2 Frequenz (Auflsung in 1 Hz)
CONST  	FPIO_DIN3_Freq		= 35		; DIN3 Frequenz (Auflsung in 1 Hz)
CONST  	FPIO_DIN4_Freq		= 36		; DIN4 Frequenz (Auflsung in 1 Hz)

CONST		FPIO_DIN1_Pulses		= 37		; DIN1 Anzahl der LoHi-Uebergnge (Long-Zahl)
CONST		FPIO_DIN2_Pulses		= 39		; DIN2 Anzahl der LoHi-Uebergnge (Long-Zahl)
CONST		FPIO_DIN3_Pulses		= 41		; DIN3 Anzahl der LoHi-Uebergnge (Long-Zahl)
CONST		FPIO_DIN4_Pulses		= 43		; DIN4 Anzahl der LoHi-Uebergnge (Long-Zahl)

CONST  	FPIO_DIN1_Duty		= 45		; DIN1 Duty-Cycle High in 0.1% (Genaugikeit ca. 10%-Schritte)
CONST  	FPIO_DIN2_Duty		= 46		; DIN2 Duty-Cycle High in 0.1% (Genaugikeit ca. 10%-Schritte)
CONST  	FPIO_DIN3_Duty		= 47		; DIN3 Duty-Cycle High in 0.1% (Genaugikeit ca. 10%-Schritte)
CONST  	FPIO_DIN4_Duty		= 48		; DIN4 Duty-Cycle High in 0.1% (Genaugikeit ca. 10%-Schritte)

CONST  	FPIO_PHASES   		= 75		; Phasen Reihenfolge bei DIN1..3
CONST  	FPIO_ROTDIR   		= 76		; Dreh-Sinn eines 3-PhasenSystems
       	              		    		; Werte: siehe "FPIO-Node Antworten"
;___Relais-Ausgnge______________________________

CONST  	FPIO_RELAIS1  		= 49		; Digital-Ausgang: Relais 1
CONST  	FPIO_RELAIS2  		= 50		; Digital-Ausgang: Relais 2
CONST  	FPIO_RELAIS3  		= 51		; Digital-Ausgang: Relais 3
CONST  	FPIO_RELAIS4  		= 52		; Digital-Ausgang: Relais 4

;___Sensorprint(s) SHTB__________________________

CONST  	FPIO_SHT1_Read 		= 57		; SHT1 do Measurement and Read (Sensor de-/aktiv(ieren)=0/1)
CONST  	FPIO_SHT1_Temp 		= 58		; SHT1 Temperatur [0.1C]
CONST  	FPIO_SHT1_TempR		= 59		; SHT1 RawWertTemperatur
CONST  	FPIO_SHT1_Humi 		= 60		; SHT1 relative Luftfeuchtigkeit [0.1%]
CONST  	FPIO_SHT1_HumiR		= 61		; SHT1 rawHumi
CONST  	FPIO_SHT1_ERR  		= 64		; SHT1 Fehler mit Kommunikation wenn hier Wert >= 1 steht
CONST  	FPIO_SHT1_SEMA 		= 65		; SHT1 Semaphor/Synchronisationsflag fr neue Werte

CONST  	FPIO_SHT2_Read 		= 66		; SHT2 do Measurement and Read (Sensor de-/aktiv(ieren)=0/1)
CONST  	FPIO_SHT2_Temp 		= 67		; SHT2 Temperatur [0.1C]
CONST  	FPIO_SHT2_TempR		= 68		; SHT2 RawWert Temperatur
CONST  	FPIO_SHT2_Humi 		= 69		; SHT2 relative Luftfeuchtigkeit [0.1%]
CONST  	FPIO_SHT2_HumiR		= 70		; SHT2 raw Humi
CONST  	FPIO_SHT2_ERR  		= 73		; SHT2 Fehler mit Kommunikation wenn hier Wert >= 1 steht
CONST  	FPIO_SHT2_SEMA 		= 74		; SHT2 Semaphor/Synchronisationsflag fr neue Werte

;___General Flags________________________________

CONST  	FPIO_JustResetFlag   	= 88		; JustResetFlag, wird nach Reset gesetzt
CONST  	FPIO_UpTimeCounter   	= 84		; Long, Zeit seit aufstarten (ca. in Sekunden)
CONST  	FPIO_Version         	= 86		; Versionsnummer z.B. V1.10 = 110
CONST  	FPIO_Hardware        	= 87		; Versionsnummer z.B. V1015 = 1015

;--------------------------------------------------------------------------------------------------
;FPIO-Node Antworten
; Definitionen der Bus-Knoten Antowrten

;___Antworten in Register FPIO_ROTDIR____________

CONST  	FPIO_ROTDIR_UNDEF    	= 0		; 0 = undefiniert
CONST  	FPIO_ROTDIR_LEFT     	= 1		; 1 = 1. CN11, 2. CN12, 3. CN13 (Reihenfolge fr Level-High's)
CONST  	FPIO_ROTDIR_RIGHT    	= 2		; 2 = 1. CN11, 2. CN13, 3. CN12 (Reihenfolge fr Level-High's)


;--------------------------------------------------------------------------------------------------
